# ApplicationFramework
TKPLCAF
MNaming

# MNaming_NamingRetrievalDriver Class Reference

`#include <MNaming_NamingRetrievalDriver.hxx>`

Inheritance diagram for MNaming_NamingRetrievalDriver:

[legend]

## Public Member Functions

Standard_EXPORT | MNaming_NamingRetrievalDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type: Constraint from PDataStd. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from PDF. .
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&Source, const Handle(TDF_Attribute)&Target, const Handle(MDF_RRelocationTable)&RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MNaming_NamingRetrievalDriver::MNaming_NamingRetrievalDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const MNaming_NamingRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDF_ARDriver.

Standard_EXPORT Handle_TDF_Attribute MNaming_NamingRetrievalDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT void MNaming_NamingRetrievalDriver::Paste | ( | const Handle(PDF_Attribute)& | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | const Handle(MDF_RRelocationTable)& | RelocTable
| ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Handle_Standard_Type MNaming_NamingRetrievalDriver::SourceType | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Standard_Integer MNaming_NamingRetrievalDriver::VersionNumber | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

The documentation for this class was generated from the following file:

- MNaming_NamingRetrievalDriver.hxx